Album: Perfectly Generic Album
Directory: perfectly-generic-album-chaoticcomposer
Date: September 25, 2025
Date Added: September 26, 2025
URLs:
- https://soundcloud.com/chaoticcomposer/sets/perfectly-generic-album
Artists:
- chaoticComposer
Cover Artists:
- chaoticComposer
Default Track Cover Artists:
- chaoticComposer
Cover Art File Extension: jpg
Track Art File Extension: jpg
Color: '#00a62a'
Groups:
- Fandom
---
Track: Rustblood [Cover]
Duration: 4:25
Referenced Tracks:
- Rustblood
URLs:
- https://soundcloud.com/chaoticcomposer/rustblood
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/rustblood), excerpt)
    Original: [[track:rustblood]] by [[artist:james-roach|James Roach]] and [[artist:toby-fox|Toby "Radiation" Fox]]
---
Track: Derse Dreamers [Cover]
Duration: 5:40
Referenced Tracks:
- Derse Dreamers
URLs:
- https://soundcloud.com/chaoticcomposer/derse-dreamers
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/derse-dreamers), excerpt)
    Original: [[track:derse-dreamers]] by [[artist:solatrus|Jeremy "Solatrus" Iamurri]]
---
Track: Dead Shuffle [Cover]
Duration: 2:45
Referenced Tracks:
- Dead Shuffle
URLs:
- https://soundcloud.com/chaoticcomposer/dead-shuffle
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/dead-shuffle), excerpt)
    Original: [[track:dead-shuffle]] by [[artist:mark-j-hadley|Mark Hadley]]
---
Track: Vriska’s Theme [Cover]
Duration: 3:07
Referenced Tracks:
- Vriska's Theme
URLs:
- https://soundcloud.com/chaoticcomposer/vriskas-theme
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/vriskas-theme), excerpt)
    Original: [[track:vriskas-theme]] by [[artist:toby-fox|Toby "Radiation" Fox]]
---
Track: Karkat’s Theme [Cover]
Duration: 3:06
Referenced Tracks:
- Karkat's Theme
URLs:
- https://soundcloud.com/chaoticcomposer/karkats-theme
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/karkats-theme), excerpt)
    Original: [[track:karkats-theme]] by [[artist:toby-fox|Toby "Radiation" Fox]]
---
Track: Black [Cover]
Duration: 3:39
Referenced Tracks:
- track:black
URLs:
- https://soundcloud.com/chaoticcomposer/black
Referencing Sources: |-
    <i>chaoticComposer:</i> ([SoundCloud description](https://soundcloud.com/chaoticcomposer/black), excerpt)
    Original: [[track:black]] by [[artist:toby-fox|Toby "Radiation" Fox]]